Wikimedia-l <-> Discourse synchronization (PRELIMINARY)
Closed, ResolvedPublic

Description

Some experimentation has begun with Discourse and its possible interface with a couple of Wikimedia mailing lists. I'd like to get some server-side assistance with investigating how this can be accomplished on Wikimedia-l. (I would be willing to write code for this, if necessary.)

Austin created this task.Feb 10 2016, 3:03 PM
Austin updated the task description. (Show Details)
Austin raised the priority of this task from to Needs Triage.
Austin added a subscriber: Austin.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 10 2016, 3:03 PM

@Austin i can probably add you to the discourse project in labs to get you shell access, my apologies but i would need a reminder first who you are before giving out shell access though.

Austin added a comment.EditedFeb 13 2016, 9:51 AM

No offense taken—I administer the Wikimedia-l mailing list; see also https://meta.wikimedia.org/wiki/User:Austin (Until a few years ago, I also wrote software for a living, and I believe I was responsible for the first Rails app to run on Wikimedia servers back in 2006.)

should be no problem, do you have an account on wikitech? Not seeing a User:Austin there.

It looks like I have an SVN account under adhair, which appears to have been automatically created and linked for me some time ago to User:Austin_Hair. My global account is User:Austin, however, and I'd prefer the username austin linked to that. (Either way, it would be nice to keep my commit history.)

I suppose the best thing to do would be to request a username change first, and go from there? It's been a long time since I contributed as a developer, so I'm not familiar with how accounts are linked with what software.

I believe you need to have a labs account created based on your existing LDAP account from SVN. Instructions in T83042, LDAP admins CC'd

Unfortunately, I do not have permission to view T83042.

Yeah, it's an old RT import I'm afraid. I don't see anything sensitive but I probably shouldn't really open it myself. Ops probably can. Luckily, only the LDAP admins need that info, I think.

@Austin: I was just about to look into the possibility of doing this for you myself, but I couldn't actually find a user with uid=adhair. Which seems strange because you appear to have had an SVN account under that name according to https://www.mediawiki.org/wiki/Special:Code/MediaWiki/author

It was probably ported over from my CVS login, so that gives you an idea of how old it is. I can imagine that it got missed in at least one import script.

Should I open a ticket for this? Can you point me to where, exactly, so I don't do it in the wrong place?

I think you should just be able to create a new wikitech account with your preferred wiki name, and, if you want, the old SVN username as the 'Instance shell account name'.

jcrben added a subscriber: jcrben.Apr 20 2016, 3:12 PM

@Austin: I was just about to look into the possibility of doing this for you myself, but I couldn't actually find a user with uid=adhair. Which seems strange because you appear to have had an SVN account under that name according to https://www.mediawiki.org/wiki/Special:Code/MediaWiki/author

Speculating it was due to the empty USERINFO file which is where I believe @demon and co pulled info from to transfer accounts, but I thought we would have still created it with the fake email address…

demon added a comment.Jun 27 2016, 4:30 PM

USERINFO files weren't ever used for things like this...

What it honestly sounds like is that Austin never had an LDAP account for SVN (and thus never migrated to LDAP for wikitech).... probably pre-dates to when we had actual system accounts for everyone in SVN :)

I think you should just be able to create a new wikitech account with your preferred wiki name, and, if you want, the old SVN username as the 'Instance shell account name'.

What he said ^^^

Dzahn added a subscriber: Dzahn.Nov 9 2016, 10:20 PM

Bump, i see this ticket in the "shell/site" column for Wikimedia Mailing list tickets. What specifically does this ticket need before it can be resolved?

@Austin: What specifically does this ticket need before it can be resolved?

I wish I knew what was blocking this—everything I know about granting me access is listed in this ticket.

@Austin It sounds like people were saying you should just create a user on wikitech.wikimedia.org wiki and then tell @EBernhardson so he can add you to the labs project

Unless i missed something then this is about shell access to the labs instance where Discourse is running combined with your existing list admin access in mailman, so it's not really a " Wikimedia-Mailing-lists (Shell/site)" thing on the lists server shell as the tag suggests.

I've created an account with the username Austin, shell name austin. I'm pretty sure I'd done this before, so hopefully it doesn't cause complications in the future.

demon removed a subscriber: demon.Jan 3 2017, 4:01 PM
Dzahn added a comment.Jan 3 2017, 5:23 PM

@EBernhardson Could you add the (new) user @Austin created to the Labs project for Discourse?

Dzahn assigned this task to EBernhardson.Jan 3 2017, 5:23 PM

Hmm, so i just tried but wikitech tells me:

Failed to add Austin to discourse.

https://wikitech.wikimedia.org/wiki/User:Austin Doesn't give the big warning about the account not existing, so not sure what's going on there?

Paladox added a subscriber: Paladox.Jan 3 2017, 5:31 PM

@EBernhardson adding Austin on one of my projects just to test works.

Tried again and wikitech was happy this time, so just some hiccup. Austin is now an admin for the Discourse project.

Dzahn reassigned this task from EBernhardson to Austin.Jan 3 2017, 8:09 PM

Cool, thanks. Is this resolved now, @Austin?

Reedy removed a subscriber: Reedy.Jan 3 2017, 9:46 PM
Aklapper closed this task as Resolved.Feb 22 2017, 1:08 PM

Cool, thanks. Is this resolved now, @Austin?

No feedback, hence assuming so.